#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char tekst[200000], s[10], *isti;
    int i, br=0, brojslovat, brojslovas, jednakost;
    scanf("%s", &tekst);
    scanf("%s", &s);
    brojslovat= strlen(tekst);
    brojslovas= strlen(s);
    jednakost= strcmp(tekst, s);
    if(jednakost == 0)
    {
        tekst[0]= '*';
        br=1;
    }
    isti= strstr(tekst, s);
    while(isti != NULL)
    {
            *isti= '*';
            br++;
            isti= strstr(tekst, s);
    }

    for(i=0; i<brojslovat; i++)
    {
        if(tekst[i] == s[0] && brojslovas == 1)
        {
            tekst[i]= '*';
            br++;
        }

    }
    printf("%d \n", br);
    printf("%s", tekst);


    return 0;
}